List Servers
curl --request GET \
--url https://api.arct.cloud/v1/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"status": "provisioning",
"location": "<string>",
"plan": "<string>",
"plan_name": "<string>",
"cpu_cores": 123,
"ram_gb": 123,
"storage_gb": 123,
"bandwidth_tb": 123,
"ipv4": "<string>",
"ipv6": "<string>",
"os": "<string>",
"login_user": "<string>",
"labels": [
"<string>"
],
"delete_protection": true,
"billing_period": "<string>",
"price": 123,
"next_due_date": "2023-12-25",
"cancel_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Servers
List Servers
Returns your servers, newest first.
GET
/
servers
List Servers
curl --request GET \
--url https://api.arct.cloud/v1/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"status": "provisioning",
"location": "<string>",
"plan": "<string>",
"plan_name": "<string>",
"cpu_cores": 123,
"ram_gb": 123,
"storage_gb": 123,
"bandwidth_tb": 123,
"ipv4": "<string>",
"ipv6": "<string>",
"os": "<string>",
"login_user": "<string>",
"labels": [
"<string>"
],
"delete_protection": true,
"billing_period": "<string>",
"price": 123,
"next_due_date": "2023-12-25",
"cancel_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
API token from Dashboard > Settings > API Tokens.
Query Parameters
Filter by status. provisioning also matches failed builds.
Available options:
provisioning, running, stopped, restarting, reinstalling, restoring, deleting, suspended, pre_order Filter by location code, such as fra.
Pattern:
^[A-Za-z0-9-]{1,10}$Page number.
Required range:
1 <= x <= 100000Items per page.
Required range:
1 <= x <= 100